package cn.com.ty.lift.business.contract.dao.entity.model.response;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * @author caizhen
 * @version 1.0
 * @date 2020/12/4 9:51
 */
@Data
public class ContractExportDto {
    /**
     * 合同编号
     */
    private String contractCode;

    /**
     * 项目名称
     * 通过projectId关联表查询
     */
    private String projectName;


    /**
     * 项目内容
     */
    private String projectContent;



    /**
     * 客户名称
     */
    private String memberName;


    /**
     * 区域名称
     */
    private String regionName;

    /**
     * 合同金额
     */
    private BigDecimal moneys;

    /**
     * 收付款编号
     * 通过合同id关联查询
     * 关联payment
     */
    private  String payCode;


    /**
     * 收付款类型
     * 维保，大修
     */
    private String payType;

    /**
     * 期数
     * 关联payment
     */
    private String periods;

    /**
     * 收款负责人
     * payment
     */
    private String collectionMan;

    /**
     * 应收时间
     */
    private String planDate;

    /**
     * 开票金额
     */
    private BigDecimal amountInvoice;

    /**
     * 开票日期
     */
    private LocalDateTime billingDate;

    /**
     * 发票类型
     */
    private Integer invoiceType;


    /**
     * 实收时间
     */
    private String workDate;

    /**
     * 实收金额
     */
    private BigDecimal workMoney;


    /**
     * 本期应收
     */
    private BigDecimal nowMoney;

    /**
     * 账期
     */
    private Integer paymentDays;

    /**
     * 合同来源
     *  1 : 商保新增 ；2 : 免保转签；3 : 续签；4 : 免保
     */
    private String source;


    /**
     * 合同类型
     * 合同类型（1 : 半包；2：大包；3：清包；4：全包；5：大修）
     */
    private String type;

    /**
     * 合同开始时间
     */
    private LocalDate starDate;

    /**
     * 合同结束时间
     */
    private LocalDate endDate;


    /**
     * 台量
     */
    private Integer liftNum;

    /**
     * 签约时间
     */
    private LocalDate givenDate;

    /**
     * 签约人
     */
    private String givenUser;


    /**
     * 未收
     */
    private BigDecimal NoPayMoney;


    /**
     * 配件条款
     */
    private String partsRules;


}
